%define upstream_name    LaTeX-Table
%define upstream_version v1.0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Automatic generation of LaTeX tables
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Pluggable) >= 4.800.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Policy::FollowPBP)
BuildRequires: perl(MooseX::FollowPBP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Text::CSV)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(version)

BuildArch: noarch


%description
LaTeX makes professional typesetting easy. Unfortunately, this is not
entirely true for tables and the standard LaTeX table macros have a rather
limited functionality. This module supports many CTAN packages and hides
the complexity of using them behind an easy and intuitive API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/csv2pdf
/usr/bin/ltpretty


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.6-12.mga10
+ Revision: 2199532
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.6-11.mga9
+ Revision: 1804178
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.6-10.mga8
+ Revision: 1495282
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.6-9.mga7
+ Revision: 1268866
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.6-8.mga6
+ Revision: 1029127
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.0.6-7.mga6
+ Revision: 935224
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-6.mga5
+ Revision: 747014
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-5.mga5
+ Revision: 685191
- Mageia 5 Mass Rebuild

* Sat Dec 21 2013 sander85 <sander85> 1.0.6-4.mga4
+ Revision: 559561
- Fix BRs

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-3.mga4
+ Revision: 512527
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 368937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.0.6-1.mga1
+ Revision: 36381
- mageia rebuild
- imported package perl-LaTeX-Table

